<template>
  <div>
    <v-list v-for="(item, index) in value" :key="index" two-line class="pa-0">
      <v-list-item
        ref="formula"
        class="formula mt-4"
        style="background-color: #f5f5f5; border-radius: 5px"
      >
        <v-list-item-content>
          <v-list-item-title>{{
            $t("dcc.common.richContentType.formula.title")
          }}</v-list-item-title>
          <div class="formula-text-field">
            <XmlTextArea
              v-model="item.latex"
              auto-grow
              rows="1"
              i18n="dcc.common.richContentType.formula.latex"
              :validate="validate"
            />
          </div>
          <div style="display: block">
            <GMathField v-model="item.latex" />
          </div>
        </v-list-item-content>
        <v-list-item-action>
          <v-tooltip bottom>
            <template #activator="{ on }">
              <v-btn icon v-on="on" @click="deleteFromArray(index)">
                <v-icon>mdi-close</v-icon>
              </v-btn>
            </template>
            <span>{{ $t("dcc.common.richContentType.deleteFormula") }}</span>
          </v-tooltip>
        </v-list-item-action>
      </v-list-item>
    </v-list>
  </div>
</template>

<script>
import XmlTextArea from "./XML/XmlTextArea";
import GMathField from "./gMathField";

export default {
  name: "GFormulaInput",
  components: { XmlTextArea, GMathField },
  props: {
    value: Array,
    level: {
      default: "first",
      type: String,
    },
    card: Boolean,
    validate: {
      default: "",
      type: String,
    },
  },
  methods: {
    deleteFromArray(index) {
      if (
        !confirm(this.$t("dcc.common.richContentType.formula.confirmRemove"))
      ) {
        return;
      }
      this.value.splice(index, 1);
      if (this.value.length === 0) {
        this.$emit("input", undefined);
      }
    },
  },
};
</script>
